QGIS Application - Bug report #18234
Esri Personal GeoDatabase (*.mdb file)
2018-02-26 08:31 PM - Almerio Moreira

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 7 Professional Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26125
Description

I can not load a Esri personal Geodatabase file into Qgis 3 anymore.

| has already added the following lines to qgis.bat:
set OGR_SKIP=0ODBC
set PGEO_DRIVER_TEMPLATE=DRIVER=Microsoft Access Driver (*.mdb, *.accdb);DBQ=%%s

| also have QGIS 2.18.17 (LTR) installed on same machine and It still working there.
| installed both from OSGeo

Related issues:
Related to QGIS Application - Bug report # 12054: ODBC and geodatabase access... Closed

2015-01-26

Associated revisions

Revision a9b663ec - 2018-05-11 01:27 AM - Jiirgen Fischer

osgeodw: include PGEO_DRIVER_TEMPLATE and OGR_SKIP in qgis.vars

(fixes #18234)

Revision 28935d15 - 2018-05-11 01:27 AM - Juirgen Fischer

osgeodw: include PGEO_DRIVER_TEMPLATE and OGR_SKIP in qgis.vars
(fixes #18234)

(cherry picked from commit a9b663ec0cdf47ba99bab593139da9¢c108d977da)

History

#1 - 2018-05-10 09:03 PM - Andrea Giudiceandrea

It seems that QGIS 3 is now launched directly, not through qgis.bat as was for QGIS 2.18.
Now you need to set the two variables in QGIS Settings panel -> Options | System | Environment.

The names and the values of the variables are:

variable name: OGR_SKIP
value: ODBC

variable name: PGEO_DRIVER_TEMPLATE
value: DRIVER=Microsoft Access Driver (*.mdb, *.accdb);DBQ=%s

note that there is only one percent sign in the value of PGEO_DRIVER_TEMPLATE variable.

#2 - 2018-05-10 09:44 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

#3 - 2018-05-11 01:22 AM - Jiirgen Fischer
- Related to Bug report #12054: ODBC and geodatabase access fails on windows 7 64 bits added

#4 - 2018-06-18 06:27 AM - Mario Reyes

Almerio Moreira wrote:

I can not load a Esri personal Geodatabase file into Qgis 3 anymore.
| has already added the following lines to qgis.bat:

set OGR_SKIP=ODBC

set PGEO_DRIVER_TEMPLATE=DRIVER=Microsoft Access Driver (*.mdb, *.accdb);DBQ=%%s

I also have QGIS 2.18.17 (LTR) installed on same machine and It still working there.
I installed both from OSGeo

| am trying to load a ESRI personal Geodatabase in QGIS 3.03 (Windows 10) and it's not working. The personal geodatabase file can be downloaded from
this link: https://pubs.usgs.gov/of/1997/ofr-97-470/0OF97-470K/graphic/data.html
